com.informix.bson

## Class DBRef

- java.lang.Object
- - com.informix.bson.DBRefBase
  - - com.informix.bson.DBRef

    public class DBRef
    extends DBRefBase

overrides DBRefBase to understand a BSONObject representation of a reference.

### Constructor Summary

Constructors
Constructor and Description
`DBRef(org.bson.BSONObject o)` Creates a DBRef
`DBRef(java.lang.String ns, java.lang.Object id)` Creates a DBRef

### Method Summary

### Methods inherited from class com.informix.bson.DBRefBase

`equals, getId, getRef, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DBRef

    public DBRef(org.bson.BSONObject o)

Creates a DBRef

Parameters:
  `o` - a BSON object representing the reference

#### DBRef

    public DBRef(java.lang.String ns,
         java.lang.Object id)

Creates a DBRef

Parameters:
  `ns` - the namespace where the object is stored
  `id` - the object id